> ## Documentation Index
> Fetch the complete documentation index at: https://docsv2.sportxapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ball-by-Ball

> Per-ball sequence for a commentary page.



## OpenAPI

````yaml /openapi.json get /cricket/api/v2/match/{}/commentary/ballByBall
openapi: 3.1.0
info:
  title: SportXAPI Cricket API
  version: 2.0.0
  description: >-
    SportXAPI is a low-latency cricket data API delivering realtime ball-by-ball
    commentary, live scores, detailed match scorecards, tournaments, team/player
    statistics, ICC rankings, and news.
servers:
  - url: https://apiv2.sportxapi.com
    description: Production API (Paid keys)
  - url: https://api.sportxapi.com
    description: Demo & Testing API (Free/Demo tier)
security: []
paths:
  /cricket/api/v2/match/{}/commentary/ballByBall:
    get:
      tags:
        - Live Matches & Ball-by-Ball
      summary: Ball-by-Ball
      description: Per-ball sequence for a commentary page.
      operationId: match_ballByBall
      parameters:
        - name: matchId
          in: path
          required: true
          description: Match identifier.
          schema:
            type: string
            example: '100123'
        - name: id
          in: query
          required: false
          description: Commentary page id.
          schema:
            type: string
            example: latest
      responses:
        '200':
          description: Successful Response (JSON)
          content:
            application/json:
              schema:
                type: object
              example:
                '0':
                  - 62.1:0W
                '1':
                  - 61.6:0
                  - 61.5:0
                '2':
                  - 60.6:0W
                  - 60.5:0
                '3':
                  - 59.6:0
                  - 59.5:0W
                '4':
                  - 58.6:1
                  - 58.5:0
                '5':
                  - 57.6:2
                  - 57.5:0
                '6':
                  - 56.6:0
                  - 56.5:0W
                '7':
                  - 55.6:0
                  - 55.5:0
                '8':
                  - 54.6:0W
                  - 54.5:0
                '9':
                  - 53.6:1
                  - 53.5:0
                '10':
                  - 52.6:1
                  - 52.5:1
                '11':
                  - 51.6:1
                  - 51.5:0
                '12':
                  - 50.6:0
                  - 50.5:0
                '13':
                  - 49.6:4
                  - 49.5:0
                '14':
                  - 48.6:0
                  - 48.5:1
                '15':
                  - 47.6:0
                  - 47.5:0
                '16':
                  - 46.6:0
                  - 46.5:0
                '17':
                  - 45.6:0
                  - 45.5:0
                '18':
                  - 44.6:0
                  - 44.5:0
                '19':
                  - 43.6:2
                  - 43.5:0
                '20':
                  - 42.6:4
                  - 42.5:0
                '21':
                  - 41.6:0W
                  - 41.5:0
                '22':
                  - 40.6:0
                  - 40.5:1
                '23':
                  - 39.6:1
                  - 39.5:1
                '24':
                  - 38.6:0
                  - 38.5:1
                '25':
                  - 37.6:3
                  - 37.5:0
                '26':
                  - 36.6:0
                  - 36.5:1
                '27':
                  - 35.6:0
                  - 35.5:3lb
        '401':
          description: Unauthorized - Missing or invalid X-API-Key header
          content:
            application/json:
              example:
                error: 'Unauthorized: Missing or invalid API key'
        '429':
          description: Too Many Requests - Rate limit or monthly quota exceeded
          content:
            application/json:
              example:
                error: Quota limit exceeded for current billing cycle
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your SportXAPI secret key from the customer dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.